# angle::sin Class Reference

Angle representation as a sine function. More...

`#include <ETL/angle>`

Inheritance diagram for angle::sin:

List of all members.

## Public Member Functions

| sin (const value_type &x)
| sin (const angle &a)
sin | mod () const
| Rotation Modulus.
sin | dist (const angle &rhs) const
| Angle Difference Function.
value_type | get () const

## Detailed Description

Angle representation as a sine function.

See also:
  angle

Todo:
  This needs to be documented

Definition at line 421 of file _angle.h.

## Constructor & Destructor Documentation

angle::sin::sin | ( | const value_type & | x | ) | `[inline, explicit]`

Definition at line 424 of file _angle.h.

References angle::v.

angle::sin::sin | ( | const angle & | a | ) | `[inline]`

Definition at line 425 of file _angle.h.

## Member Function Documentation

sin angle::sin::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the angle

Reimplemented from angle.

Definition at line 426 of file _angle.h.

References angle::mod().

sin angle::sin::dist | ( | const angle & | rhs | ) | const`[inline]`

Angle Difference Function.

This function will return the difference between two angles, just like

See also:
  angle operator-(const angle &)

Reimplemented from angle.

Definition at line 427 of file _angle.h.

References angle::dist().

value_type angle::sin::get | ( |  | ) | const`[inline]`

Definition at line 428 of file _angle.h.

References sin(), and angle::v.

The documentation for this class was generated from the following file:

- _angle.h